/* ================================
// GERAL
// ================================ */

h2 {
    color: var(--color-primary);
}

p {
    font-size: var(--fs-body-sm);
    color: var(--color-gray-light);
}

.btn {
    max-width: fit-content;
    display: inline !important;
}

.buttons {
    justify-content: flex-end;
    display: flex;
}

tr {
    cursor: pointer;
}

th,
td {
    text-align: center;
}

tr th:last-child,
tr td:last-child {
    width: 1% !important;
}

/* ================================
// NAVBAR
// ================================ */

.navbar {
    background-color: var(--black-90);
}

/* ================================
// ALERTA
// ================================ */
#div-msg-form-new-access {
    margin-right: calc(var(--bs-gutter-x) * .5);
    margin-left: calc(var(--bs-gutter-x) * .5);
}

/* ================================
// CONTAINER-PERFIL
// ================================ */
.container-perfil {
    display: grid;
    gap: 1.5rem;
    grid-template-columns: 2fr 10fr;
    margin-top: 2.5rem;
    width: 100%;
}

.tab-content>.tab-pane {
    display: none;
}

.tab-content>.active {
    display: block;
}

/* ================================
// MENU TABS
// ================================ */
.menu-tabs {
    background: var(--color-white);
    border-radius: 10px;
    box-shadow: 0 0 8px 0 rgba(0, 0, 0, 0.25);
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    max-height: fit-content;
    padding: 20px 0 20px 0px;
    width: 100%;
}

.menu-tabs a {
    color: var(--black-90);
    display: flex;
    gap: 10px;
    padding: 10px 10px 10px 20px;
    align-items: center;
    text-decoration: none;
    border-right: 5px solid transparent;
    transition: all 0.2s ease-in-out;
}

.menu-tabs a:hover {
    color: var(--color-primary)
}

.menu-tabs a.active {
    background-color: var(--primary-30);
    border-right: 5px solid var(--color-primary);
    color: var(--color-primary);
    font-weight: bold;
}

.menu-tabs i {
    font-size: var(--fs-h3);
}

/* ================================
// CONTENT DADOS PESSOAIS
// ================================ */
.content-area {
    background: var(--color-white);
    border-radius: 10px;
    box-shadow: 0 0 8px 0 rgba(0, 0, 0, 0.25);
    box-sizing: border-box;
    max-height: fit-content;
    width: 100%;
    margin-bottom: 50px;
}

/* ================================
// CONTENT DADOS PESSOAIS
// ================================ */
.dados {
    padding: 30px;
}

.header,
.header-details div {
    display: flex;
    flex-direction: column;
    gap: 5px
}

.header,
.buttons,
#div-msg-form-new-access {
    padding-right: calc(var(--bs-gutter-x) * .5) !important;
    padding-left: calc(var(--bs-gutter-x) * .5) !important;
}

.row.g-4 {
    margin: 0.625rem 0 1.5rem 0;
}

/* ================================
// CONTENT MEUS EVENTOS
// ================================ */

.busca {
    display: flex;
    justify-content: center;
}

.busca .bi {
    font-size: var(--fs-h3);
    color: var(--color-primary);
}

.busca:hover {
    color: var(--primary-dark);
    background-color: var(--primary-30);
    border-radius: 10px;
}

/* ================================
// INPUTS
// ================================ */
#pes_equipe {
    background-color: #fff !important;
}

.input-disabled-cinza,
.input-disabled-cinza:disabled {
    color: #6c757d !important;
    opacity: 1;
    cursor: not-allowed;
}

/* ================================
// TABELA DE EVENTO
// ================================ */

.table>:not(caption)>*>* {
    text-wrap: nowrap !important;
}

.event-name-cell {
    text-align: left;
    display: block;
    max-width: 670px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

#tabela-inscricoes td:nth-child(3) {
    width: 30%;
    min-width: 100px;
    box-sizing: border-box;
}


.table-responsive .table tbody tr td {
    vertical-align: middle;
    padding-top: 10px;
    padding-bottom: 10px;
}

#tabela-inscricoes tbody tr {
    background-color: var(--color-white, #FFFFFF);
}

.table-hover>tbody>tr:hover {
    --bs-table-hover-bg: var(--primary-30);
    background-color: var(--primary-30);
    color: var(--bs-body-color);
}

/* ================================
// BADGE
// ================================ */
.badge-status {
    width: fit-content !important;
    display: inline-block;
    padding: 0.5em 0.8em;
    font-weight: 700;
    border-radius: 50px;
    overflow: clip !important;
    text-overflow: clip !important;
}

.status-nao-realizado,
.status-indefinido {
    background-color: #EFEFEF;
    color: var(--color-gray);
}

.status-confirmado {
    background-color: var(--color-green-light);
    color: var(--color-green);
}

.status-aguardando {
    background-color: var(--color-blue-light);
    color: var(--color-blue);
}

.status-cancelado {
    background-color: var(--color-orange-light);
    color: var(--color-orange);
}

.status-devolvido {
    background-color: var(--color-yellow-light);
    color: var(--color-yellow);
}

.status-erro {
    background-color: var(--color-red-light);
    color: var(--color-red);
}

.status-nao-realizado,
.status-indefinido {
    white-space: nowrap !important;
}

/* ================================
// DETALHES EVENTO
// ================================ */
.card {
    border: transparent;
    margin-top: 10px;
}

.title_pagamento {
    font-weight: var(--fw-bold);
    color: var(--color-gray-dark);
    background-color: #EFEFEF;
    padding: 10px 60px;
    margin-top: 30px;
}

.dados-eve {
    padding: 30px 60px;
}

.btn-actions {
    display: flex;
    flex-direction: column;
    gap: 10px;
    justify-content: center;
    width: 20%;
}

.btn-actions button {
    max-width: 100%;
}

@media (max-width: 576px) {
    .container-perfil {
        display: flex;
        flex-direction: column;
        gap: 1rem;
    }

    .menu-tabs {
        flex-direction: row !important;
        background: transparent;
        box-shadow: none;
        padding: 0;
        gap: 10px;
        overflow-x: auto;
        width: auto;
    }

    .menu-tabs a {
        border-right: none;
        border-radius: 6px;
        padding: 8px 16px;
        background-color: transparent;
        color: var(--color-gray-dark);
        white-space: nowrap;
        font-weight: 500;
    }

    .menu-tabs a.active {
        background-color: var(--color-blue-light);
        color: var(--color-primary);
        border-right: none;
        font-weight: bold;
    }

    .menu-tabs i {
        font-size: var(--fs-body);
        margin-right: 5px;
    }

    .hide-on-mobile {
        display: none;
    }

    .dados {
        padding: 30px 20px;
    }

    .dados-eve {
        padding: 30px 20px;
    }

    .header-details {
        flex-direction: column;
        gap: 10px;
    }

    .mb-3,
    .mt-3 {
        gap: 1rem;
    }

    .title_pagamento {
        padding: 10px 20px !important;
    }

    .section-preco {
        display: flex;

    }

    #qr-code-img {
        width: 120px !important;
        height: 120px !important;
    }

    .btn-actions {
        width: fit-content;
    }

    .btn {
        max-width: 100%;
    }

    .header,
    .buttons {
        padding-right: 0 !important;
        padding-left: 0 !important;
    }

    #div-msg-form-new-access {
        margin-right: 0 !important;
        margin-left: 0 !important;
    }

    .event-name-cell {
        white-space: wrap !important;
    }

    .athlete-name-cell {
        white-space: nowrap !important;
        overflow: hidden !important;
        text-overflow: ellipsis !important
    }

    .hide-on-mobile {
        display: none !important;
    }
}